/* logger.h */

#ifndef __LOGGER_H
#define __LOGGER_H

#include "config.h"

#include <stdio.h>
#include <glib.h>

typedef struct _LoggerData
{
   FILE *logfile;
} LoggerData;

void logger_open( const gchar *logfile );
void logger_close( void );
void logger_log( const gchar *domain, GLogLevelFlags log_level,
                 const gchar *message, LoggerData *data );
                 
/* convenience logging functions */
void log_debug( const gchar *format, ... );
void log_info( const gchar *format, ... );
void log_message( const gchar *format, ... );
void log_warning( const gchar *format, ... );
void log_critical( const gchar *format, ... );
void log_error( const gchar *format, ... );

#endif /* __LOGGER_H */
