/* socket.h */

#ifndef __SOCKET_H
#define __SOCKET_H

#include <arpa/inet.h>
#include <glib.h>

typedef struct _SocketData
{
   GIOChannel *chlis, *chcon;
   struct sockaddr_in adr;
   size_t nadr;
   GIOFunc iofunc;
} SocketData;

gboolean process_sock_req( GIOChannel *io, GIOCondition cond, SocketData *data );

SocketData* socket_new_server( gint port, GIOFunc iofunc );

SocketData* socket_new_client( gchar *hostname, gint port );

gint socket_write( SocketData *data, gchar *msg, gsize nmsg );

void socket_free( SocketData *data );

#endif /* __SOCKET_H */
